1. kling
梧柏API使用文档
WHBAI · Kling
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • 可灵 Kling
    • 文生音效
    • 文生视频
    • 图生视频
    • 文生图
    • 查询文生视频任务
    • Omni-Video
  • kling
    • 对口型
      POST
    • 虚拟试穿
      POST
    • 视频延长
      POST
    • 视频特效
      POST
    • 多图参考生视频
      POST
    • 查询任务(免费)
      GET
    • 查询任务(单个)
      GET
    • Omni-Image
      POST
    • 查询任务(单个)
      GET
    • 查询任务(单个)
      GET
    • 初始化待编辑视频
      POST
    • 增加视频选区
      POST
    • 删减视频选区
      POST
    • 预览已选区视频
      POST
    • 多模态视频
      POST
    • 查询任务(单个)
      GET
    • 查询任务(单个)
      GET
    • 查询任务(单个)
      GET
    • 查询任务(单个)
      GET
    • 多图参考生图
      POST
    • 查询任务(单个)
      GET
    • 文生视频
      POST
    • 图生视频
      POST
    • 查询视频
      GET
    • 查询任务(单个)
      GET
    • 扩图
      POST
    • 查询任务(单个)
      GET
    • 图像识别
      POST
    • 数字人
      POST
    • 查询任务(单个)
      GET
    • 查询任务(单个)
      GET
    • 视频生音效
      POST
    • 查询任务(单个)
      GET
    • 语音合成
      POST
    • 查询任务(单个)
      GET
    • 人脸识别
      POST
    • 对口型
      POST
    • 查询任务(单个)
      GET
    • 自定义音色
      POST
    • 查询自定义音色(单个)
      GET
    • 查询官方音色
      GET
    • 删除自定义音色
      POST
    • 动作控制
      POST
    • 查询任务(单个)
      GET
    • 主体(旧)
      POST
    • 主体(新版本)
      POST
    • 查询自定义主体(单个新版本)
      GET
    • 查询官方主体(列表新版本)
      GET
    • 删除自定义主体(新版本)
      POST
  • 数据模型
    • KlingTaskSubmitResponse
    • KlingTaskQueryResponse
    • KlingText2VideoRequest
    • KlingImage2VideoRequest
    • PostKlingV1ImagesGenerationsRequest
    • KlingOmniVideoRequest
    • NewApiError
  1. kling

多模态视频

POST
/kling/v1/videos/multi-elements

网站中的模型与调用示例#

多模态视频#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "callback_url": {
      "type": "string"
    },
    "duration": {
      "description": "生成视频时长,单位s\n枚举值:5,10",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Generated video duration (seconds)\nenum: 5, 10"
        }
      }
    },
    "edit_mode": {
      "description": "操作类型枚举值:addition, swap, removal, 其中:addition:增加元素swap:替换元素removal:删除元素",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "operation type enum: addition, swap, removal, where: addition: add elementswap: swap elementremoval: remove element"
        }
      }
    },
    "external_task_id": {
      "type": "string"
    },
    "image_list": {
      "description": "裁剪后的参考图像",
      "items": {
        "description": "推荐的Prompt模板 增加元素 \n    //中文:基于<<<video_1>>>中的原始内容,以自然生动的方式,将<<<image_1>>>中的【】,融入<<<video_1>>>的【】\n    //英文:Using the context of <<<video_1>>>, seamlessly add [x] from <<<image_1>>> 替换元素\n    //中文:使用<<<image_1>>>中的 【】,替换<<<video_1>>>中的 【】\n    //英文:swap [x] from <<<image_1>>> for [x] from <<<video_1>>> 删除元素\n    //中文:删除<<<video_1>>>中的【】\n    //英文:Delete [x] from <<<video_1>>> 注:中文的【】,英文的[x],是需要用户填写的部分",
        "type": "string",
        "x-i18n": {
          "en-US": {
            "description": "Recommended prompt templates. Add: Using the context of <<<video_1>>>, seamlessly add [x] from <<<image_1>>>. Swap: swap [x] from <<<image_1>>> for [x] from <<<video_1>>>. Remove: Delete [x] from <<<video_1>>>. Chinese brackets / English [x] are user-filled parts."
          }
        }
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "cropped reference image"
        }
      }
    },
    "mode": {
      "description": "生成视频的模式\n枚举值:std,pro\n其中std:标准模式(标准),基础模式,性价比高\n其中pro:专家模式(高品质),高表现模式,生成视频质量更佳",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Video generation mode\nenum: std, pro\nstd: standard / cost-effective\npro: expert / higher quality"
        }
      }
    },
    "model_name": {
      "description": "模型名称枚举值:kling-v1-6",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Model name enum: kling-v1-6"
        }
      }
    },
    "negative_prompt": {
      "description": "负向文本提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "negative text prompt"
        }
      }
    },
    "prompt": {
      "description": "正向文本提示词",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "positive text prompt"
        }
      }
    },
    "session_id": {
      "description": "会话ID,会基于视频初始化任务生成,不会随编辑选区行为而改变",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "session ID from video init; unchanged by selection edits"
        }
      }
    }
  },
  "required": [
    "model_name",
    "session_id",
    "edit_mode",
    "prompt",
    "mode",
    "duration"
  ]
}

请求示例 · 示例 1#

{
  "callback_url": "",
  "duration": "5",
  "edit_mode": "",
  "external_task_id": "",
  "image_list": [],
  "mode": "std",
  "model_name": "kling-v1-6",
  "negative_prompt": "",
  "prompt": "",
  "session_id": ""
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Header 参数

Body 参数application/json必填

示例
{
    "callback_url": "",
    "duration": "5",
    "edit_mode": "",
    "external_task_id": "",
    "image_list": [],
    "mode": "std",
    "model_name": "kling-v1-6",
    "negative_prompt": "",
    "prompt": "",
    "session_id": ""
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/kling/v1/videos/multi-elements' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "callback_url": "",
    "duration": "5",
    "edit_mode": "",
    "external_task_id": "",
    "image_list": [],
    "mode": "std",
    "model_name": "kling-v1-6",
    "negative_prompt": "",
    "prompt": "",
    "session_id": ""
}'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "code": 0,
    "message": "success",
    "data": {
        "task_id": "task_example_001"
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:09
上一页
预览已选区视频
下一页
查询任务(单个)
Built with